%if 0%{?fedora} >= 12 || 0%{?rhel} >= 8
%global with_py3 1
%endif

%global pkgname repoze.sphinx.autointerface

Name:           python-repoze-sphinx-autointerface
Version:        0.7.1
Release:        4%{?dist}
Summary:        Auto-generate Sphinx API docs from Zope interfaces

License:        BSD
URL:            https://github.com/repoze/%{pkgname}
Source0:        https://github.com/repoze/%{pkgname}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-zope-interface

%if 0%{?with_py3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-zope-interface
%endif

Requires:       python-sphinx
Requires:       python-zope-interface

%global common_desc                                                      \
This package defines an extension for the Sphinx documentation system.   \
The extension allows generation of API documentation by introspection of \
zope.interface instances in code.

%description
%{common_desc}

%if 0%{?with_py3}
%package -n python3-repoze-sphinx-autointerface
Summary:        Auto-generate Sphinx API docs from Zope interfaces
Requires:       python3-sphinx
Requires:       python3-zope-interface

%description -n python3-repoze-sphinx-autointerface
%{common_desc}
%endif

%prep
%setup -q -c

%if 0%{?with_py3}
cp -a %{pkgname}-%{version} python3-%{pkgname}-%{version}
%endif

%build
# Python 2 build
pushd %{pkgname}-%{version}
%{__python2} setup.py build
popd

%if 0%{?with_py3}
# Python 3 build
pushd python3-%{pkgname}-%{version}
%{__python3} setup.py build
popd
%endif

%install
# Python 2 install
pushd %{pkgname}-%{version}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd

%if 0%{?with_py3}
# Python 3 install
pushd python3-%{pkgname}-%{version}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%files
%doc %{pkgname}-%{version}/CHANGES.txt %{pkgname}-%{version}/COPYRIGHT.txt
%doc %{pkgname}-%{version}/LICENSE.txt %{pkgname}-%{version}/README.txt
%{python2_sitelib}/*

%if 0%{?with_py3}
%files -n python3-repoze-sphinx-autointerface
%doc %{pkgname}-%{version}/CHANGES.txt %{pkgname}-%{version}/COPYRIGHT.txt
%doc %{pkgname}-%{version}/LICENSE.txt %{pkgname}-%{version}/README.txt
%{python3_sitelib}/*
%endif

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  3 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-3
- Do not use the py3dir macro; see https://fedorahosted.org/fpc/ticket/435
- Remove the %%clean script

* Mon Jun  2 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-2
- Conditionalize the python3 package

* Thu May 29 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-1
- Initial RPM (bz 1102858)
